Bug 241528 - Update Port print/hplip to 3.19.8
Summary: Update Port print/hplip to 3.19.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-27 22:24 UTC by S Joseph
Modified: 2019-11-04 12:35 UTC (History)
0 users

See Also:
woodsb02: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S Joseph 2019-10-27 22:24:40 UTC
HP Printer 9010 not supported by hplip 3.17.x currently in ports.
Comment 1 Ben Woods freebsd_committer 2019-11-03 16:56:58 UTC
The print/hplip port was recently updated to 3.18.6 (thanks to asomers).

I am having build issues trying to update to 3.19.10, which I am trying to troubleshoot.

--- libsane_hpaio_la-hpaio.lo ---
scan/sane/hpaio.c:225:116: warning: passing 'const char *' to parameter of type 'char *' discards qualifiers [-Wincompatible-pointer-types-discards-qualifiers]
         if (strcmp(ippGetName( attr ), "device-uri") == 0 && ippGetValueTag( attr ) == IPP_TAG_URI && AddCupsList(ippGetString( attr, 0, NULL ), printer) == 0)
                                                                                                                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
scan/sane/hpaio.c:148:30: note: passing argument to parameter 'uri' here
static int AddCupsList(char *uri, char ***printer)
                             ^
scan/sane/hpaio.c:321:22: warning: implicit declaration of function 'mdns_probe_nw_scanners' is invalid in C99 [-Wimplicit-function-declaration]
        bytes_read = mdns_probe_nw_scanners(message, sizeof(message), &cnt);
                     ^
scan/sane/hpaio.c:356:12: warning: implicit declaration of function 'orblite_init' is invalid in C99 [-Wimplicit-function-declaration]
    stat = orblite_init(pVersionCode, authorize);
           ^
scan/sane/hpaio.c:374:4: warning: implicit declaration of function 'orblite_get_devices' is invalid in C99 [-Wimplicit-function-declaration]
   orblite_get_devices(devList, localOnly);
   ^
scan/sane/hpaio.c:402:15: warning: implicit declaration of function 'orblite_open' is invalid in C99 [-Wimplicit-function-declaration]
       return orblite_open(devicename, pHandle);
              ^
--- libhpipp_la-hp_ipp.lo ---
protocol/hp_ipp.c:1004:78: warning: format specifies type 'int' but the argument has type 'size_t' (aka 'unsigned long') [-Wformat]
        DBG("Requested Length(%d) is more than source buffer length(%d).\n", length, src->data_length);
                              ~~                                             ^~~~~~
                              %zu
common/utils.h:13:77: note: expanded from macro 'DBG'
#define DBG(args...) syslog(LOG_INFO, __FILE__ " " STRINGIZE(__LINE__) ": " args)
                                                                            ^~~~
--- libsane_hpaio_la-hpaio.lo ---
scan/sane/hpaio.c:422:15: warning: implicit declaration of function 'orblite_close' is invalid in C99 [-Wimplicit-function-declaration]
       return orblite_close(handle);
              ^
scan/sane/hpaio.c:422:8: error: void function 'sane_hpaio_close' should not return a value [-Wreturn-type]
       return orblite_close(handle);
       ^      ~~~~~~~~~~~~~~~~~~~~~
--- libhpipp_la-hp_ipp.lo ---
protocol/hp_ipp.c:1043:68: warning: format specifies type 'int' but the argument has type 'unsigned long' [-Wformat]
        BUG("Insufficient raw_ipp->data size. %d bytes needed.\n", raw_buffer->data_length + length);
                                              ~~                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                              %lu
common/utils.h:12:76: note: expanded from macro 'BUG'
#define BUG(args...) syslog(LOG_ERR, __FILE__ " " STRINGIZE(__LINE__) ": " args)
                                                                           ^~~~
--- libsane_hpaio_la-hpaio.lo ---
scan/sane/hpaio.c:472:15: warning: implicit declaration of function 'orblite_control_option' is invalid in C99 [-Wimplicit-function-declaration]
       return orblite_control_option(handle, option, action, pValue, pInfo);
              ^
scan/sane/hpaio.c:492:15: warning: implicit declaration of function 'orblite_get_parameters' is invalid in C99 [-Wimplicit-function-declaration]
       return orblite_get_parameters(handle, pParams);
              ^
scan/sane/hpaio.c:512:15: warning: implicit declaration of function 'orblite_start' is invalid in C99 [-Wimplicit-function-declaration]
       return orblite_start(handle);
              ^
scan/sane/hpaio.c:533:15: warning: implicit declaration of function 'orblite_read' is invalid in C99 [-Wimplicit-function-declaration]
       return orblite_read(handle, data, maxLength, pLength);
              ^
scan/sane/hpaio.c:555:15: warning: implicit declaration of function 'orblite_cancel' is invalid in C99 [-Wimplicit-function-declaration]
       return orblite_cancel(handle);
              ^
scan/sane/hpaio.c:555:8: error: void function 'sane_hpaio_cancel' should not return a value [-Wreturn-type]
       return orblite_cancel(handle);
       ^      ~~~~~~~~~~~~~~~~~~~~~~
12 warnings and 2 errors generated.
Comment 2 commit-hook freebsd_committer 2019-11-04 12:34:56 UTC
A commit references this bug:

Author: woodsb02
Date: Mon Nov  4 12:34:43 UTC 2019
New revision: 516637
URL: https://svnweb.freebsd.org/changeset/ports/516637

Log:
  print/hplip: Update to 3.19.10
  print/hplip-plugin: Update to 3.19.6

  Changes this release:
    https://developers.hp.com/hp-linux-imaging-and-printing/release_notes

  PR:		241528
  Reported by:	S Joseph <josephatwork@gmail.com>

Changes:
  head/print/hplip/Makefile
  head/print/hplip/distinfo
  head/print/hplip/files/patch-Makefile.in
  head/print/hplip/files/patch-installer_dcheck.py
  head/print/hplip/files/patch-prnt_hpcups_HPCupsFilter.cpp
  head/print/hplip/files/patch-prnt_hpps_hppsfilter.c
  head/print/hplip/files/patch-protocol_discovery_mdns.c
  head/print/hplip/files/patch-scan_sane_OrbliteScan_BSDCommon.h
  head/print/hplip/files/patch-scan_sane_OrbliteScan_MacCommon.h
  head/print/hplip/files/patch-scan_sane_hpaio.c
  head/print/hplip/files/patch-scan_sane_orblite.c
  head/print/hplip/pkg-plist
  head/print/hplip-plugin/Makefile
  head/print/hplip-plugin/distinfo
Comment 3 Ben Woods freebsd_committer 2019-11-04 12:35:27 UTC
Committed - please let me know if you have any issues.